%global pkgname landslide
%global commit	a0078400c8e8f2fe19a754c0dbd55e7a3dbb796d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:		python-landslide
Version:	1.1.1
Release:	4%{?dist}
Summary:	Lightweight markup language-based html5 slideshow generator
Group:		Applications/Productivity
License:	ASL 2.0
URL:		https://pypi.python.org/pypi/landslide
Source0:	https://github.com/adamzap/%{pkgname}/archive/%{commit}/%{pkgname}-%{version}-%{shortcommit}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-sphinx
Requires:	python-jinja2
Requires:	python-markdown
Requires:	python-pygments
Requires:	python-docutils
Requires:	python-textile

%description
Takes your Markdown, ReST, or Textile file(s) and generates 
fancy HTML5 slideshows

%prep
%setup -qn %{pkgname}-%{commit}
# Change shebang to recognized the default interpreter installed 
# from system-wide
sed -i 's|/usr/bin/env python|/usr/bin/python|g' src/landslide/main.py
# Remove bundled egg-info
rm -rf src/landslide.egg-info

%build
%{__python} setup.py build

PYTHONPATH=$(pwd) make -C docs html
rm -f docs/_build/html/.buildinfo

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
find %{buildroot} -name 'main.py' | xargs chmod 0755
 
%files
%doc LICENSE CHANGELOG.md README.md docs/_build/html
%{_bindir}/landslide
%{python_sitelib}/landslide
%{python_sitelib}/landslide-*.egg-info


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 07 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 1.1.1-2
- Change shebang to recognize the installed default interpreter.
- Remove MANIFEST.in from documentation

* Sun Jul 07 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 1.1.1-1
- Initial packaging

